package com.xydl.cac.service;


import com.xydl.cac.entity.*;
import com.xydl.cac.model.*;

import java.util.Date;
import java.util.List;
import java.util.Map;

public interface DataService {

    List<ColumnModel> getDataTables() throws Exception;

    List<ColumnModel> getDataTableColumns(String tableName) throws Exception;

    OnePage<Map<String, Object>> getData(NSensor sensor, List<ModevTypePoint> points, ConditionModel model) throws Exception;

    void clearAllBind();

    List<Map<String, Object>> getLatestData(NSensor sensor, List<ModevTypePoint> points, Date start) throws Exception;

    Map<String, Object> getLastOneData(NSensor sensor, ModevTypePoint point) throws Exception;
}
